﻿/*region Login*/
.select-tenant-container .e-ddl {
    height: 74px;
}

.fill-textbox-width .bc-textbox {
    flex-grow:1;
}

.bc-textbox .error {
    outline: 1px solid red !important;
}

.flex-form-buttons{
    display: flex;
    align-items: flex-end;
    gap: 16px;
    align-self: stretch;
}

.full-width-button {
    flex-grow: 1;
}

.custom-placeholder .e-input::before {
    display: flex;
    align-items: center;
    color: var(--bc-grey-500);
    font-size: 14px;
}

.custom-placeholder .e-input::before img {
    width: 30px;
    height: 30px;
    margin-right: 10px;
}

.login {
    background-color: var(--bc-bg-fafa);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.login__left-panel {
    display: flex;
    justify-content: left;
    align-items: center;
    height: 100vh;
    width: 40%;
}

.login__left-panel-image {
    min-height: 100%;
}

.login__right-panel {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    flex-grow: 1;
}
.login__back-button .e-btn-icon{
    font-size: 16px;
}

.login__language-header {
    display: flex;
    justify-content: right;
    align-items: flex-start;
    width: 100%;
    padding-top: 1rem;
    padding-right: 1rem;
}

.login__language-selector:not(.e-popup-open) {
    height: 40px !important;
    border-color: var(--bc-gray-737) !important;
    align-items: center !important;
    border-radius: 6px !important;
}

.login__container {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    margin: auto;
    width: 450px;
    max-width: 75vw;
}

.login__form-container {
    padding-top: 2rem;
    width: 100%;
}

.login__form__header {
    width: 100%;
    margin-bottom: 32px;
}

.login__form__header__actions {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding-bottom: 16px;
}

.login__form__content {
    width: 100%;
    font-weight: var(--font-weight-regular);
}

.login__form__content .bc-password-textbox .e-input-group{
    height: 46px;
}

.login__form__content .bc-password-textbox .e-input-group input{
    height: 44px !important;
}

.login__form__content .bc-textbox .e-input-group{
    height: 46px;
}

.login__form__content .bc-textbox .e-input-group input{
    height: 44px !important;
}

.bc-textbox-error {
    color: var(--bc-danger);
    margin-top: 4px;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    text-align: left;
}

.login__form__content .bc-field-label {
    margin-bottom: 6px !important;
    font-weight: 500 !important;
}

.login__form__content .bc-field-label--xlarge .bc-field-label__top-container__label {
    margin-bottom:5px;
}

.login__form__content .bc-field-label--xlarge .bc-field-label__description {
    color: var(--bc-dark-900);
}

.login__form__content__buttons {
    display: flex;
    align-items: flex-end;
    gap: 16px;
    align-self: stretch;
}

.login__logo {
    width: 100%;
}

.login__welcome-text {
    font-size: 1rem;
    text-align: center;
    width: 100%;
}

.login__textbox-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 0.5rem;
    width: 100%;
}

.login__button-container {
    display: flex;
    justify-content: center;
    padding-top: 1rem;
    width: 100%;
}

.e-listbox-container {
    font-family: Roboto, sans-serif;
    font-size: 1rem;
    border: 1px solid var(--bc-grey-500);
}

.e-listbox-container:not(.e-list-template) .e-list-item {
    height: auto;
    padding-top: 8px;
    padding-bottom: 8px;
}

.login__footer {
    width: 100%;
    display: flex;
    justify-content: center;
    padding-bottom: 0.5rem;
}

.login__copyright-footer {
    display: flex;
    justify-content: center;
    width: 100%;
    font-size: 0.75rem;
    color: var(--bc-gray-606);
    margin-bottom: 0 !important;
}

.login__copyright-text {
    padding-bottom: 0.5rem;
    margin-bottom: 0 !important;
}
/*endregion Login*/

/*region BcPasswordRequirementsTextBox*/
.bc-password-textbox {
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
    max-width: 700px;
}

.bc-password-textbox .e-control-wrapper .e-clear-icon-hide {
    display: flex !important;
}

.bc-password-textbox .e-input-group {
    border-radius: 0.375rem;
    overflow: hidden;
}

.bc-password-textbox span input {
    height: 38px !important;
}

.bc-password-textbox .error {
    outline: 1px solid red !important;
}

.bc-password-textbox__error {
    color: var(--bc-danger);
    margin-top: 4px;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    text-align: left;
}

.info-icon .e-tooltip{
    margin-top: -1px !important;
    margin-left: -3px !important;
    position:relative !important;
}

.bc-password-text-box__requirements-tooltip {
    background-color: transparent !important;
    border: none !important;
    box-shadow: 3px 3px 4px rgba(0, 0, 0, 0.1);
}

.bc-password-text-box__requirements-tooltip .e-tip-content {
    background-color: var(--bc-surface-fc) !important;
    border: 1px solid var(--bc-border-c8) !important;
    border-radius: 6px !important;
    margin-right: 1rem !important;

}

.bc-password-text-box__requirements-tooltip .e-arrow-tip .e-arrow-tip-inner {
    color: transparent !important;
}

.bc-password-text-box__requirements-tooltip .e-arrow-tip .e-arrow-tip-outer {
    border-left: none !important;
}

.bc-password-text-box__requirements-tooltip_content {
    list-style: none;
    padding-left: 0;
    margin-bottom: 0;
    font-weight: var(--font-weight-regular);
    font-size: var(--font-size-text-xs);
}

.password-requirements-list__header {
    color: black;
    padding-bottom: 2px;
}

.invalid-password-requirement {
    color: black;
    gap: 6px;
    display: flex;
    align-items: center;
}

.invalid-password-requirement i {
    color: transparent;
}

.valid-password-requirement {
    color: black;
    gap: 6px;
    display: flex;
    align-items: center;
}

.valid-password-requirement i {
    color: darkgreen;
}
/*endregion  BcPasswordRequirementsTextBox*/

/*region Confirm Account*/
.password-requirements-list {
    text-align: left;
    margin-top: 24px;
    font-size: 14px;
}
/*endregion Confirm Account*/

/*region Tenant Selection*/
.tenant-dropdown {
    display: flex;
    overflow: hidden;
    padding: 12px 16px;
    align-items: center;
    justify-content: space-between;
    align-self: stretch;
}

.tenant-dropdown:not(.e-popup-open) {
    height: 73px !important;
}

.tenant-dropdown-name-date {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.tenant-dropdown .e-popup-open {
    padding: 0;
}

.tenant-dropdown .e-item-focus {
    border-radius: 5px;
}

.tenant-dropdown .e-dropdownbase .e-list-item.e-hover {
    border-radius: 5px;
}

.tenant-dropdown .e-filter-parent {
    box-shadow: none !important;
}

.tenant-dropdown .e-control-container {
    border-bottom: 1px;
    border-left: none;
    border-right: none;
    border-top: none;
}

.tenant-dropdown .e-filter-parent .e-control-container{
    border: none !important;
    border-bottom: 1px solid black !important;
    border-radius: 0 !important;
    width: 100% ;
}

.tenant-dropdown .e-active .tentant-dropdown__item-template__abbreviation{
    color: #000000;
}

.tenant-dropdown .e-active .tenant-dropdown__item-template__last-accessed{
    color: #ffffff;
}

.tenant-dropdown .e-dropdownbase .e-list-item.e-active, .e-dropdownbase .e-list-item.e-active.e-hover {
    border-radius: 5px;
}

.filtered-tenant-dropdown .e-dropdownbase {
    padding-bottom: 12px;
}

.tenant-dropdown--error:not(.e-popup-open)  {
    border: 1px solid var(--theme-primary-default) !important;
}

.tenant-dropdown__error-message {
    color: var(--bc-danger);
    margin: 5px 0 10px 0;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    text-align: left;
}

.abbreviation-preview {
    border-radius: 6px;
    background:  var(--bc-color-bg-eee, var(--color-bg-eee));
    display: flex;
    width: 48px;
    height: 48px;
    padding: 12px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-right: 14px;
}

.no-text-indent {
    text-indent: 0 !important;
}

.form-uploaded-file-tenant {
    display: flex;
    justify-content: space-between;
    border: 1px solid var(--bc-border);
    border-radius: 5px;
    padding: 12px 14px;
}

.tenant-dropdown-item-template {
    align-items: center;
    display: flex;
    margin: 12px 0;
    padding: 0 5px;
}

.tenant-dropdown-item-template--no-width {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin: 12px 0 12px 12px;
    padding: 0 5px;
}

.tenant-dropdown-image-template {
    align-items: center;
    display: flex;
    justify-content: flex-start;
}

.tenant-dropdown-image-template img {
    border-radius:5px;
}

.e-ddl.e-popup {
    padding:6px;
}

.tentant-dropdown__item-template__img {
    width: 30px;
    height: 30px;
    margin-right: 10px;
}

.tentant-dropdown__item-template__abbreviation{
    border-radius: 6px;
    background:  var(--bc-color-bg-eee, var(--color-bg-eee));
    display: flex;
    width: 30px;
    height: 30px;
    padding: 12px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-right: 10px;
}

.tentant-dropdown__value-template__img {
    border-radius: 6px;
    display: flex;
    width: 48px;
    height: 48px;
    padding: 12px;
    margin-right: 14px;
}

.tenant-dropdown-item-template__name-last-accessed {
    display: flex;
    flex-direction: column;
    line-height: normal;
}

.tenant-dropdown__item-template__last-accessed {
    margin-right:5px;
    color:gray;
    font-size: 14px;
}

.tenant-dropdown-value-template {
    align-items: center;
    display: flex;
}

.tenant-dropdown-value-template img {
    border-radius: 5px;
}

.tenant-dropdown__value-template__last-accessed {
    color:gray;
}

.hide-filepicker-actions .e-upload-actions, .e-file-status {
    display: none !important;
}

.hide-filepicker-actions .e-upload-file-list {
    min-height: 64px !important;
}

.hide-filepicker-actions .bc-fileupload  {
    border-radius: 5px;
}

.bc-fileupload .e-upload-file-list {
    border-bottom: none !important;
}

.hide-browse-button .e-upload-browse-btn{
    display: none !important;
}

.fullwidth-border {
    border: 1px solid var(--bc-border-muted);
    width: 100%;
    padding: 12px 14px;
    border-radius: 5px;
}

.edit-tenant-preview #tenant-name {
    color: var(--bc-lilac-foreground);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
}

.edit-tenant-preview #last-accessed {
    color: rgba(0, 0, 0, 0.68);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

/*endregion tenant selection*/

/*region  Bc Navigator Dashboard*/
.bc-nav-dashboard {
    margin-top: 16px;
    overflow: auto;
}

.bc-nav-dashboard .bc-grid td.e-active {
    background-color: transparent !important;
}

.bc-nav-dashboard__top-container {
    display: flex;
    flex-direction: column;
}

.bc-nav-dashboard__modules__content {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 18px;
    margin-bottom: 32px;
}

.bc-nav-dashboard__modules__content .e-card.metric-card {
    background-color: var(--bc-card-metric-bg);
    border-color: var(--bc-card-metric-border);
}

.bc-nav-dashboard__modules__content a .e-card.metric-card:hover {
    cursor: pointer;
    border-color: var(--bc-card-metric-border) !important;
    background-color: var(--bc-hover-f3) !important;
}

.bc-nav-dashboard__modules__content .e-card.metric-card .e-card-header-title {
    color: var(--bc-subtle-500) !important;
}

.bc-nav-dashboard__modules__content .e-card.metric-card h4 {
    color: var(--bc-dark-900) !important;
}

.bc-nav-dashboard__modules__content .e-card.metric-card .bc-badge {
    margin-top: 3px !important;
}


.bc-nav-dashboard__modules__content .bc-metric-icon {
    background-color: #E2E8F0;
}

.bc-nav-dashboard__bottom-container {
    display: flex;
    flex-direction: row;
    gap: 32px;
}

.bc-nav-dashboard__documents {
    display: flex;
    flex-direction: column;
    gap: 12px;
    max-width: 50%;
}

.bc-nav-dashboard__documents__header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
}

.home-dashboard-document__dropdown .bc-dropdown-list-label {
    margin-bottom: 0 !important;
}

.home-dashboard-document__dropdown .bc-dropdown {
    padding: 4px !important;
}

.home-dashboard-document__file-picker .bc-file-picker__label{
    margin-bottom: 0 !important;
}

.home-dashboard-document__version-date {
    margin-bottom: 12px;
}

.home-dashboard-document__version-date .e-datetime-container{
    padding: 4px !important;
}

.home-dashboard-document__version-date .e-datetimepicker.e-popup .e-list-parent.e-ul .e-list-item.e-active {
    color: var(--theme-primary-default) !important;
}

.dashboard-document__modal-buttons {
    display: flex !important;
    flex-direction: row !important;
    justify-content: space-between;
    width: 100%;
}

.home-dashboard__delete-document-button {
    margin-left: 0 !important;
}

.bc-nav-dashboard__people {
    display: flex;
    flex-direction: column;
    gap: 12px;
    width: 50%;
}

.bc-nav-dashboard__people__header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
}

.dashboard__people__header-actions {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.bc-nav-dashboard__people__content .bc-field-label{
    margin-bottom: 0 !important;
}

.bc-nav-dashboard__people__content .bc-field-label .bc-field-label__top-container__label {
    color: #595959;
}
.person-card {
    border: 1px solid #ddd;
    border-radius: 0.75rem;
    padding: 1.5rem;
    margin-bottom: 1rem;
    /*background-color: #fff;*/
    display: flex;
    justify-content: space-between;
}

.person-card__left-middle-wrapper {
    display: flex;
    gap: 24px;
}

.person-card__image,
.person-card__initials {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    object-fit: cover;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    background-color: var(--color-bg-eee);
}

.person-card__header-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.person-card__name {
    font-weight: 600;
    font-size: 1.25rem;
}

.person-card__roles {
    display: flex;
    flex-wrap: wrap;
    gap: 0.25rem;
    margin-bottom: -4px;
}

.person-card__roles:empty {
    min-height: 0.5rem;
}

.person-card__edit-icon {
    cursor: pointer;
    color: var(--bc-gray-666);
    font-size: 1.2rem;
    flex-shrink: 0;
    align-self: flex-start;
}
.person-card__email {
    color: var(--theme-primary-default);
    margin-bottom: 8px;
}

.person-card__edit-icon {
    cursor: pointer;
    color: var(--bc-gray-666);
    font-size: 1.2rem;
    flex-shrink: 0;
    align-self: flex-start;
}
.person-card__email {
    color: var(--theme-primary-default);
    margin-bottom: 8px;
}

.person-card__phone {
    margin-bottom: 8px;
}

.person-card__phone span {
    font-size: var(--font-size-text-sm);
}

.person-card__responsibilities .bc-field-label__top-container__label {
    margin-bottom: 2px;
}

.person-card__responsibilities__chips {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 4px;
}

.person-card__middle-container {
    display: flex;
    flex-direction: column;
    gap:4px;
}

.person-card__fields {
    display: flex;
    flex-direction: column;
    gap:8px;
}

.person-card__field {
    font-size: 14px;
}

.person-card__fields > .person-card__field:first-child {
    margin-top: 4px;
}

.home-dashboard-people__add-person-dropdown .bc-dropdown {
    padding: 4px;
}

.home-dashboard-people__add-person-dropdown .bc-dropdown-list-label{
    margin-bottom: 0 !important;
}

.person-card__right-container {
    padding-top: 8px;
}
/*endregion  Bc Navigator Dashboard*/

/*#region Dashboard*/
.bc-dashboard-section-container {
    display: flex;
    flex-direction: column;
}

.bc-dashboard-card-container {
    display: grid;
    gap: 1.5rem;
}

.bc-dashboard-card-container#metrics {
    grid-template-columns: repeat(4, 1fr);
}

.bc-dashboard-card-container#quicklinks {
    grid-template-columns: repeat(3, 1fr);
}

.bc-dashboard-card-container#charts {
    grid-template-columns: repeat(2, 1fr);
}

.bc-dashboard-card-container__scenario {
    display:flex;
    flex-direction: column;
    gap: 0.5rem;
    background-color: white;
    border: 1px solid var(--theme-card-default-border);
    border-radius: 0.5rem;
    padding: 0.5rem
}

.bc-dashboard-card-container__scenario__item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0.5rem;
}

.bc-dashboard-card-container__scenario__item__title {
    font-size: 0.875rem;
    font-weight: 500;
}

.bc-metric-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 0.5rem;
    font-size: 1.25rem;
}

.bc-risk-dashboard__chart {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Dashboard metrics icon colors */
#bcRISK-dashboard__metric-risk-total .bc-metric-icon {
    background-color: var(--bc-metric-1-background);
    color: var(--bc-metric-1-foreground);
}

#bcRISK-dashboard__metric-risk-scenarios .bc-metric-icon {
    background-color: var(--bc-metric-2-background);
    color: var(--bc-metric-2-foreground);
}

#bcRISK-dashboard__metric-risk-measures .bc-metric-icon {
    background-color: var(--bc-metric-3-background);
    color: var(--bc-metric-3-foreground);
}

#bcRISK-dashboard__metric-risk-not-assigned .bc-metric-icon {
    background-color: var(--bc-metric-4-background);
    color: var(--bc-metric-4-foreground);
}

#bcIMPACT-dashboard__metric-process-number .bc-metric-icon {
    background-color: var(--bc-metric-2-background);
    color: var(--bc-metric-2-foreground);
}

#bcIMPACT-dashboard__metric-process-owner-number .bc-metric-icon {
    background-color: var(--bc-metric-2-background);
    color: var(--bc-metric-2-foreground);
}

#bcIMPACT-dashboard__metric-processes-without-interview .bc-metric-icon {
    background-color: var(--bc-metric-1-background);
    color: var(--bc-metric-1-foreground);
}

#bcIMPACT-dashboard__metric-process-without-due-date .bc-metric-icon {
    background-color: var(--bc-metric-4-background);
    color: var(--bc-metric-4-foreground);
}

#bcPLAN-dashboard__metric-plan-number .bc-metric-icon {
    background-color: var(--bc-metric-2-background);
    color: var(--bc-metric-2-foreground);
}

#bcPLAN-dashboard__metric-scenario-number .bc-metric-icon {
    background-color: var(--bc-metric-2-background);
    color: var(--bc-metric-2-foreground);
}

#bcPLAN-dashboard__metric-measure-number .bc-metric-icon {
    background-color: var(--bc-metric-2-background);
    color: var(--bc-metric-2-foreground);
}

#bcPLAN-dashboard__metric-checklists .bc-metric-icon {
    background-color: var(--bc-metric-1-background);
    color: var(--bc-metric-1-foreground);
}

#bcPLAN-dashboard__metric-unassigned-measures .bc-metric-icon {
    background-color: var(--bc-metric-4-background);
    color: var(--bc-metric-4-foreground);
}

#system-notification-dashboard__metric-views .bc-metric-icon {
    background-color: var(--bc-metric-2-background);
    color: var(--bc-metric-2-foreground);
}

#system-notification-dashboard__metric-primary-action-clicks .bc-metric-icon {
    background: var(--success-subtle, #DEF3E9);
    color: var(--bc-metric-2-foreground);
}

#system-notification-dashboard__metric-sent-reminders .bc-metric-icon {
    background-color: var(--bc-metric-4-background);
    color: var(--bc-metric-4-foreground);
}

#system-notification-dashboard__metric-cancelled-notifications .bc-metric-icon {
    background-color: var(--bc-metric-1-background);
    color: var(--bc-metric-1-foreground);
}

#system-notification-dashboard__metric-views .bc-metric-icon .bcbadge {

}

#system-notification-dashboard__metric-primary-action-clicks .bc-metric-icon .bcbadge{

}

#system-notification-dashboard__metric-sent-reminders .bc-metric-icon .bcbadge{

}

#system-notification-dashboard__metric-cancelled-notifications .bc-metric-icon .bcbadge{

}


.bc-interactive-card-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2rem;
    height: 2rem;
    border-radius: 0.5rem;
    background-color: var(--theme-button-primary-filled-background);
    color: var(--theme-button-primary-filled-foreground);
}

.e-card {
    background-color: var(--theme-card-default-background);
    padding: 1.5rem;
    border: 1pt solid var(--theme-card-default-border);
    border-radius: 0.5rem;
    gap: 1.5rem;
    justify-content: start;
}

.e-card.metric-card {
    min-width: 12rem;
}

.e-card:hover {
    border-color: var(--theme-card-default-border);
}

.e-card.interactive-card {
    min-width: 18rem;
}

.e-card.interactive-card:hover {
    cursor: pointer;
    border-color: var(--theme-card-hover-border);
    background-color: var(--theme-card-hover-background);
}

.e-card.interactive-card:hover .bc-interactive-card-icon {
    background-color: var(--theme-button-primary-filled-hover-background);
    color: var(--theme-button-primary-filled-hover-foreground);
}

.e-card.interactive-card:active {
    border-color: var(--theme-card-active-border);
    background-color: var(--theme-card-active-background);
}

.e-card.interactive-card:focus {
    border-color: var(--theme-card-focus-border);
    background-color: var(--theme-card-focus-background);
}

.e-card .e-card-header {
    display: flex;
    gap: 0.25rem;
    padding: 0;
    margin: 0;
    justify-content: start;
}

.e-card .e-card-header .e-card-header-caption {
    align-self: start;
    max-width: 100%;
}

.e-card .e-card-header .e-card-header-caption .e-card-header-title  {
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 700;
    line-height: 1.625rem;
    padding: 0;
    margin: 0;
}

.e-card.metric-card .e-card-header .e-card-header-caption .e-card-sub-title  {
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.25rem;
    color: var(--theme-text-subtitle);
}

.e-card.metric-card .e-card-header {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    padding: 0;
    margin: 0;
    justify-content: start;
}

.e-card.metric-card .e-card-header .e-card-header-caption {
    align-self: start;
}

.e-card.metric-card .e-card-header .e-card-header-caption .e-card-header-title  {
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.25rem;
    color: var(--theme-text-subtitle);
}

.e-card.metric-card .e-card-header .e-card-header-caption .e-card-sub-title  {
    font-size: 1.875rem;
    font-weight: 700;
    line-height: 2.625rem;
    padding: 0;
    margin: 0;
}

.e-card .e-card-content {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    padding: 0;
    flex-grow: 1;
}

.bc-interactive-card-container {
    display: flex;
    gap: 0.75rem;
    align-items: center;
}

.bc-interactive-card-text-container {
    overflow: hidden;
}

.interactive-card-title {
    font-size: 1rem;
    font-style: normal;
    font-weight: 700;
    line-height: 1.375rem; /* 137.5% */
    margin: 0;
}

.interactive-card-subtitle {
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.25rem; /* 142.857% */
    margin: 0;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.bc-chart-container {
    height: 100%;
}
.bc-chard-empty-counter {
    margin: 0 auto;
}

.bc-dashboard-section-container {
    display: flex;
    flex-direction: column;
}

.bc-dashboard-card-container {
    display: grid;
    gap: 1.5rem;
}

.bc-dashboard-card-container#metrics {
    grid-template-columns: repeat(4, 1fr);
}

.bc-dashboard-card-container#quicklinks {
    grid-template-columns: repeat(3, 1fr);
}

.bc-dashboard-card-container#charts {
    grid-template-columns: repeat(2, 1fr);
}

.bc-dashboard-card-container__scenario {
    display:flex;
    flex-direction: column;
    gap: 0.5rem;
    background-color: white;
    border: 1px solid var(--theme-card-default-border);
    border-radius: 0.5rem;
    padding: 0.5rem
}

.bc-dashboard-card-container__scenario__item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0.5rem;
}

.bc-dashboard-card-container__scenario__item__title {
    font-size: 0.875rem;
    font-weight: 500;
}

.analysis-value-cell {
    width: 70px;
}

.analysis_values {
    width: 70px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.analysis__value {
    font-weight: var(--font-weight-bold);
}

.analysis_values .div-input  {
    max-height: 41px !important;
}

.analysis__body-text {
    font-weight: var(--font-weight-bold);
}

.analysis__body-weight-text {
    font-size: var(--font-size-text-xs);
    color: #516077;
}

.analysis__body__bottom-content {
    display: flex;
    justify-content: space-between;
    padding: 16px 15% 16px 16px;
}

.analysis__name-icon {
    display: flex;
    flex-direction: row;
    gap: 4px;
}

.analysis__body__left-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 8px;
}

.analysis__values__content {
    display: flex;
    gap: 30px;
    padding-top: 8px;
    justify-content: center;
    align-items: center;
}
/*#endregion Dashboard*/

/*#region User*/
.user__linked-person__content {
    display: flex;
    gap: 1rem;
    align-items: flex-end;
}

.user__linked-person__create-button {
    margin-bottom: 16px;
}

.user__multiselect-wrapper .e-multiselect.e-control-wrapper{
    padding: 4px;
}
/*#endregion User*/

/*#region Import page*/
.import-page-container {
    width: 80%;
    margin: auto;
}

.import-page-breadcrumb {
    margin: 10px 0 0 0;
}

.import-page-breadcrumb .e-breadcrumb .e-breadcrumb-item a.e-breadcrumb-text {
    text-decoration: none;
}

.import-page-breadcrumb .e-breadcrumb .e-breadcrumb-item a.e-breadcrumb-text:hover {
    text-decoration: underline;
}

.import-page-breadcrumb .e-breadcrumb .e-breadcrumb-item .e-breadcrumb-text {
    color: #141414;
}

.import-page-breadcrumb .e-breadcrumb .e-breadcrumb-item.e-icon-item .e-breadcrumb-icon {
    margin-top: -5px;
}

.import-page-title {
    font-size: 22px;
    font-weight: bold;
    color: #141414;
    margin: 10px 0 5px 0;
}

.import-page-body {
    background-color: white;
    border: none;
    border-radius: 4px;
    box-shadow: 0 0 10px 0 rgb(0 0 0 / 15%);
    height: calc(100vh - 175px);
    overflow-y: auto;
    overflow-x: hidden;
}

.import-page-body .form-sections {
    height: calc(100vh - 175px);
    overflow-y: auto;
    overflow-x: hidden;
}

.import-table-container {
    height: calc(100vh - 700px);
    overflow: auto;
}
/*#endregion Import page*/

/*region No Access Pages(404/No Permission)*/
.no-access-page {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.no-access-page__card {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: flex-start;
    max-width: 464px;
    padding: 32px;
    width: 100%;
    gap:32px;
    border: 1px solid var(--bc-grey-500);
    border-radius: 32px;
}

.no-access-page__card__icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 72px;
    height: 72px;
    font-size: var(--font-size-text-xl);
    border-radius: 5%;
    background-color: var(--color-bg-eee);
}

.no-access-page__card__content {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: center;
    gap: 16px;
}
.no-access-page__card__content__text {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: center;
    gap: 8px;
}

.no-access-page__card__content__text__header {
    font-size: var(--font-size-text-xl);
    font-weight: var(--font-weight-bold);
}

.no-access-page__card__content__text__body {
    font-size: var(--font-size-text-md);
    font-weight: var(--font-weight-regular);
}
/*endregion No Access Pages*/

/*region Empty Fields Error Dialog*/
.empty-fields-error-modal {
    position: absolute;
    bottom: 0;
    left: 36%;
    transform: translateY(-88vh);
    transition: visibility 0s linear 1000ms;
    visibility: visible;
    z-index: 99999;
}

.empty-fields-error-modal__container {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 12px;
    background: var(--bc-error-bg);
    border: 1px solid var(--bc-error-border);
    border-radius: 12px;
    padding: 12px;
}

.empty-fields-error-modal__icon {
    background: var(--Colors-background-accent-red, var(--bc-error-bg));
    color: var(--bc-error-dark);
    height: 32px;
    width: 32px;
    padding: 5px 5px 5px 8px;
    border-radius: 8px;
}

.empty-fields-error-modal__text {
    display: flex;
    flex-direction: column;
    color: var(--bc-error-foreground);
    height: 100%;
}

.empty-fields-error-modal__title {
    font-size: 14px;
    font-weight: 600;
}

.empty-fields-error-modal__subtitle {
    font-size: 14px;
}

/*endregion*/

/*region Confirmation Warning Dialog*/
.warning-confirmation-dialog__header {
    padding: 12px;
}

.warning-confirmation-dialog__header__title {
    color: var(--Global-foreground, var(--bc-dark-900));
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 28px;
}

.warning-confirmation-dialog__header__subtitle {
    color: var(--Global-foreground-muted, #595959);
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
}

.warning-confirmation-dialog__footer {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    padding: 12px 0 0 0;
    gap: 12px;
}

/*endregion*/

/*region System Notifications*/
.system-notifications__summary {
    gap: 24px;
    display: flex;
    flex-direction: column;
    margin-bottom: 12px;
}

.system-notifications__column-template {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.system-notifications__column-name {
    display: flex;
    flex-direction: row;
}

.system-notifications__column-icons {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.system-notifications__translations-container {
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
    max-width: 700px;
}

.system-notifications__translations-container__translations-list {
    border: 1px solid lightgray;
    border-radius: 5px;
    margin-bottom: 12px;
}

.system-notifications__translations-container__translations-list__item {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid lightgray;
    padding:12px;
}

.system-notifications__translations-container__translations-list__item__name {
    display: flex;
    align-items: center;
}

.system-notifications__translations-container__translations-list__item__actions {
    display: flex;
    align-items: center;
}

.system-notification__action-link {
    color: var(--theme-primary-default, #C80019);
    align-items: center;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    text-overflow: ellipsis;
    display: flex;
    gap: 0.25rem;
}

.system-notification__action-link__text {
    display: inline-block;
    max-width: 250px;
    text-overflow: ellipsis;
    overflow: hidden;
}

.add-translations-dialog__header {
    padding: 12px;
}

.system-notifications__translations-container__title {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 6px;
    line-height: 22px;
    text-align: left;
}

.system-notifications__translations-container__description {
    color: var(--bc-tooltip-gray);
    font-size: 0.875rem;
    margin-bottom: 8px;
}

.add-translations-dialog__header__title {
    color: var(--Global-foreground, #262626);
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 28px;
}

.add-translations-dialog__header__subtitle {
    color: var(--Global-foreground-muted, #595959);
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
}

.add-translations-dialog__content {
    padding: 0 12px 0 12px;
}

.add-translations-dialog__footer {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    padding: 12px;
    gap: 12px;
}
/*endregion*/

/*region View System Notification*/
.view-system-notification {
    display: flex;
    flex-direction: column;
}

.view-system-notification__overview {
    display: flex;
    flex-direction: row;
    gap: 24px;
    width: 100%;
}

.view-system-notification__overview__left-container {
    display: flex;
    flex-direction: column;
    gap: 12px;
    width: 100%;
}

.view-system-notification__overview__right-container {
    display: flex;
    flex-direction: column;
    gap: 12px;
    width: 100%;
}
/*endregion*/

/*region System Notification Dialog*/
.system-notification-dialog__header {
    padding: 12px 12px 4px 12px;
}

.system-notification-dialog__header__icon {

}

.system-notification-dialog__header__icon .bc-metric-icon{
    border-radius: var(--Colors-radius, 8px);
    background: var(--Accent-red, var(--bc-error-bg));
    color: var(--bc-error-dark);
    font-size: 16px;
}

.system-notification-dialog__body {
    padding: 12px 12px 24px;
}

.system-notification-dialog__header__title {
    color: var(--Global-foreground, var(--bc-dark-900));
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 28px; /* 140% */
}

.system-notification-dialog__header__description {

}

.system-notification-dialog__footer {
    display: flex;
    justify-content: space-between;
    padding: 4px 12px 4px 12px;
}

.system-notification-dialog__footer__actions {
    display: flex
;
    align-items: center;
    gap: 8px;
}
/*endregion*/

/*region Resources*/
.new-resource-group-btn-container {
    display: flex;
    padding: 10px 0 0 0;
    flex-grow: 1;
}

.new-resource-group-btn {
    flex-grow: 1;
}

.bc-resource-node-icon .e-btn-icon:before:active {
    color: white;
}

.splitter-content-left #ResourceTemplates {
    max-height: calc(100vh - 244px);
    overflow: auto;
}

#ScenarioResourceTemplates > ul > li > div.e-fullrow {
    pointer-events: none;
    border-radius: 6px;
    border: none !important;
    background-color: transparent !important;
    height: 44px;
}

#ScenarioResourceTemplates .e-list-item .e-text-content{
    padding-bottom: 4px !important;
}

#ScenarioResourceTemplates .e-text-content .e-list-text {
    width: 100%;
    height: 44px;
    padding: 10px 8px;
}

.impaired-resources__splitter-content {
    max-height: 690px;
    min-height: 600px;
    overflow: auto;
}

.new-resource-group-btn-container {
    display: flex;
    padding: 10px 0 0 0;
    flex-grow: 1;
}

.new-resource-group-btn {
    flex-grow: 1;
}

.bc-resource-node-icon .e-btn-icon:before:active {
    color: white;
}

.splitter-content-left #ResourceTemplates {
    max-height: calc(100vh - 244px);
    overflow: auto;
}

#ResourceTemplates > ul > li > div.e-fullrow {
    pointer-events: none;
    border-radius: 6px;
    border: none !important;
    background-color: transparent !important;
}

.bc-grid__toolbar-item {
    display: inline-block;
    margin-right: 10px;
}

#ResourceTemplates .e-list-item.e-active > .e-fullrow {
    border: 1px solid white;
    border-radius: 6px;
    height: 44px;
}

#ResourceTemplates .e-list-item.e-hover div.e-fullrow:first-of-type {
    height: 44px !important;
    border-radius: 6px;
}

#ResourceTemplates .e-list-item.e-active > div.e-text-content > span > div > div.bc-resource-node-icons > button > span:before {
    color: white;
}

#ResourceTemplates .e-list-item.e-active > div.e-text-content > span > div > div.bc-resource-node-icons > span {
    background-color: var(--theme-button-secondary-filled-foreground);
    color: var(--theme-button-secondary-filled-background);
}

#ResourceTemplates > ul > li > div.e-text-content {
    pointer-events: none;
    overflow: hidden;
    color: var(--Colors-foreground-primary, rgba(0, 0, 0, 0.92));
    text-overflow: ellipsis;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 20px;
    padding-left: 30px !important;
}

#ResourceTemplates > div.e-text-content.e-icon-wrapper > span > div > span.bc-counter-badge {
    display: none;
}

#ResourceTemplates > ul > li > div.e-text-content.e-icon-wrapper > span > div > div > button.bc-button {
    display: none !important;
}

#ResourceTemplates > ul > li > div.e-text-content.e-icon-wrapper > span > div > div > span.bc-counter-badge {
    display: none !important;
}

#ResourceTemplates > ul > li > div.e-text-content .e-icon-expandable:before {
    content: "\e75c" !important;
    font-weight: 700;
    font-size: 25px;
    margin-top: -3px;
}

#ResourceTemplates > ul > li > div.e-text-content .e-icon-collapsible:before {
    content: "\e75c" !important;
    rotate: 90deg;
    font-weight: 700;
    font-size: 25px;
    margin-top: -2px;
}

.bc-resource-node-template {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
}

.bc-resource-node-name {
    display: flex;
    flex-direction: row;
}

#ResourceTemplates .e-text-content .e-list-text {
    width: 100%;
}

#ResourceTemplates .e-list-item .e-text-content{
    padding-bottom: 4px !important;
}

.bc-resource-node-icons {
    display: flex;
    flex-direction: row;
    align-items: center;
}
/*endregion Resources*/